## libei 1.2.1

=== Makefile ===
# Using µnit is very simple; just include the header and add the C
# file to your sources.  That said, here is a simple Makefile to build
# the example.

CSTD:=99
OPENMP:=n
ASAN:=n
UBSAN:=n
EXTENSION:=
TEST_ENV:=
CFLAGS:=
AGGRESSIVE_WARNINGS=n

ifeq ($(CC),pgcc)
        CFLAGS+=-c$(CSTD)
else
        CFLAGS+=-std=c$(CSTD)
endif

ifeq ($(OPENMP),y)
        ifeq ($(CC),pgcc)
                CFLAGS+=-mp
        else
                CFLAGS+=-fopenmp
        endif
endif

ifneq ($(SANITIZER),)
        CFLAGS+=-fsanitize=$(SANITIZER)
endif

ifneq ($(CC),pgcc)
        ifeq ($(EXTRA_WARNINGS),y)
                CFLAGS+=-Wall -Wextra -Werror
        endif

        ifeq ($(ASAN),y)
                CFLAGS+=-fsanitize=address
        endif

        ifeq ($(UBSAN),y)
                CFLAGS+=-fsanitize=undefined
        endif
endif

example$(EXTENSION): munit.h munit.c example.c
	$(CC) $(CFLAGS) -o $@ munit.c example.c

test:
	$(TEST_ENV) ./example$(EXTENSION)

clean:
	rm -f example$(EXTENSION)

all: example$(EXTENSION)

=== meson_options.txt ===
option('documentation', type: 'array', value: [], choices: ['api', 'protocol'], description: 'Enable documentation builds')
option('sd-bus-provider', type: 'combo', choices: ['auto', 'libsystemd', 'libelogind', 'basu'], value: 'auto', description: 'Provider of the sd-bus library')
option('tests', type: 'feature', value: 'auto', description: 'Enable/disable tests')
option('liboeffis', type: 'feature', value: 'auto', description: 'Build liboeffis.so')

## libei 1.0.0

=== debian/changelog ===
libei (1.0.0-0ubuntu3) mantic; urgency=medium

  * Create a new binary for installed tests
  * Set up autopkgtest based on the upstream tests mentioned before, 
    define also simple build tests for the libraries

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 30 Aug 2023 16:08:37 +0200

libei (1.0.0-0ubuntu2) mantic; urgency=medium

  * Ignore build test failures on s390x since it's not a Desktop architecture

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 14 Aug 2023 16:55:40 -0400

libei (1.0.0-0ubuntu1) mantic; urgency=medium

  * Initial release (LP: #2031115)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 06 Aug 2023 18:28:58 -0400

=== debian/control ===
Source: libei
Section: x11
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
Build-Depends:
 debhelper-compat (= 13),
 black,
 libevdev-dev,
 libsystemd-dev,
 libxkbcommon-dev,
 meson,
 pkg-config,
 python3-attr,
 python3-dbusmock,
 python3-jinja2,
 python3-pytest,
 python3-structlog,
 python3-yaml
Standards-Version: 4.6.2
Rules-Requires-Root: no
Homepage: https://gitlab.freedesktop.org/libinput/libei
#Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git
#Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libei
Vcs-Git: https://salsa.debian.org/jbicha/libei.git
Vcs-Browser: https://salsa.debian.org/jbicha/libei

Package: libei1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Emulated Input client library
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides the Emulated Input client library.

Package: libeis1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Emulated Input server library
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides the Emulated Input Server library.

Package: liboeffis1
Section: libs
Architecture: any
Multi-Arch: same
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: RemoteDesktop portal DBus helper library
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides the D-Bus XDG RemoteDesktop portal helper library.

Package: libei-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libei1 (= ${binary:Version}),
Description: Emulated Input client library (development headers)
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides development headers for the Emulated Input client
 library.

Package: libeis-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 libeis1 (= ${binary:Version}),
Description: Emulated Input server library (development headers)
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides development headers for the Emulated Input Server
 library.

Package: liboeffis-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends:
 ${misc:Depends},
 liboeffis1 (= ${binary:Version}),
 libsystemd-dev,
Description: RemoteDesktop portal DBus helper library (development headers)
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package provides development headers for the D-Bus XDG RemoteDesktop
 portal helper library.
 
Package: libei-tests
Architecture: any
Depends:
 ${shlibs:Depends},
 ${misc:Depends},
Description: Emulated Input client library - installed tests
 libei is a library for Emulated Input, primarily aimed at the Wayland
 stack. It provides three parts:
  - EI (Emulated Input) for the client side (libei)
  - EIS (Emulated Input Server) for the server side (libeis)
  - oeffis for D-Bus communication with the XDG RemoteDesktop portal
 .
 This package includes tests to be used on the installed system.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_clean:
	rm -f subprojects/munit

override_dh_auto_configure:
	ln -s ../munit subprojects/
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dsd-bus-provider=libsystemd

override_dh_missing:
	dh_missing -Xusr/bin/ei-debug-events

# Ignore s390x test failures since it's not a Desktop architecture
# https://gitlab.freedesktop.org/libinput/libei/-/issues/41
override_dh_auto_test:
ifneq (,$(filter armel s390x,$(DEB_HOST_ARCH)))
	dh_auto_test || true
else
	dh_auto_test
endif

=== debian/tests/control ===
Tests: build-libei
Depends: build-essential, libei-dev, pkg-config

Tests: build-libeis
Depends: build-essential, libeis-dev, pkg-config

Tests: build-liboeffis
Depends: build-essential, liboeffis-dev, pkg-config

Tests: upstream-tests
Depends: @, valgrind

## libei 1.1.0

=== debian/changelog ===
libei (1.1.0-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Sep 2023 12:45:49 -0400

libei (1.0.901-3) unstable; urgency=medium

  * debian/tests/control: Depend on valgrind-if-available instead of valgrind
  * Extend dh_auto_test timeout

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sat, 23 Sep 2023 12:42:45 -0400

libei (1.0.901-2) unstable; urgency=medium

  * debian/copyright: Add copyright for debian/* per ftpmaster request
  * Release to unstable

 -- Jeremy Bícha <jbicha@ubuntu.com>  Sun, 10 Sep 2023 15:20:07 -0400

libei (1.0.901-1) experimental; urgency=medium

  * Initial release (Closes: #1050241, LP: #2031115)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 06 Sep 2023 16:50:41 -0400

## libei 1.2.0

=== debian/changelog ===
libei (1.2.0-1) unstable; urgency=medium

  * New upstream release
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 05 Dec 2023 19:04:23 -0500

## libei 1.2.1

=== debian/changelog ===
libei (1.2.1-1) unstable; urgency=medium

  * New upstream release

 -- Jeremy Bícha <jbicha@ubuntu.com>  Mon, 01 Apr 2024 16:55:38 -0400

libei (1.2.0-2) unstable; urgency=medium

  * debian/patches/disable_sigalrm_tests.patch:
    - disable the sigalrm tests for now as suggested by upstream,
      the tests didn't exist before so it's not a regression

 -- Sebastien Bacher <seb128@ubuntu.com>  Mon, 29 Jan 2024 16:30:09 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: libei
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
+Maintainer: Debian X Strike Force <debian-x@lists.debian.org>
 Uploaders: Jeremy Bícha <jbicha@ubuntu.com>
 Build-Depends:
  debhelper-compat (= 13),
@@ -21,10 +20,8 @@
 Standards-Version: 4.6.2
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/libinput/libei
-#Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git
-#Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libei
-Vcs-Git: https://salsa.debian.org/jbicha/libei.git
-Vcs-Browser: https://salsa.debian.org/jbicha/libei
+Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git
+Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libei
 
 Package: libei1
 Section: libs
@@ -125,7 +122,7 @@
  .
  This package provides development headers for the D-Bus XDG RemoteDesktop
  portal helper library.
- 
+
 Package: libei-tests
 Architecture: any
 Depends:

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all
export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
export DPKG_GENSYMBOLS_CHECK_LEVEL = 4

%:
	dh $@

override_dh_auto_clean:
	rm -f subprojects/munit

override_dh_auto_test:
	dh_auto_test -- --timeout-multiplier 2

override_dh_auto_configure:
	ln -s ../munit subprojects/
	dh_auto_configure -- \
		-Dauto_features=enabled \
		-Dsd-bus-provider=libsystemd

override_dh_missing:
	dh_missing -Xusr/bin/ei-debug-events

=== debian/tests/control ===
--- 
+++ 
@@ -8,4 +8,4 @@
 Depends: build-essential, liboeffis-dev, pkg-config
 
 Tests: upstream-tests
-Depends: @, valgrind
+Depends: @, valgrind-if-available

=== debian/watch ===
version=4
https://gitlab.freedesktop.org/libinput/libei/-/tags?sort=updated_desc archive/@ANY_VERSION@/libei-\d\S*.gz

opts="component=munit,mode=git,compression=gz" \
 https://github.com/nemequ/munit.git HEAD same

## libei 1.3.0

=== debian/changelog ===
libei (1.3.0-1) unstable; urgency=medium

  * New upstream release
  * Drop unnecessary executable permission from libei-tests
  * Bump Standards Version to 4.7.0

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 15 Aug 2024 09:12:06 -0400

=== debian/control ===
--- 
+++ 
@@ -10,14 +10,14 @@
  libsystemd-dev,
  libxkbcommon-dev,
  meson,
- pkg-config,
+ pkgconf,
  python3-attr,
  python3-dbusmock,
  python3-jinja2,
  python3-pytest,
  python3-structlog,
  python3-yaml
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
 Homepage: https://gitlab.freedesktop.org/libinput/libei
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git

=== debian/rules ===
--- 
+++ 
@@ -3,6 +3,8 @@
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 export DEB_LDFLAGS_MAINT_APPEND = -Wl,-O1 -Wl,-z,defs
 export DPKG_GENSYMBOLS_CHECK_LEVEL = 4
+
+built_binaries := $(shell dh_listpackages)
 
 %:
 	dh $@
@@ -21,3 +23,10 @@
 
 override_dh_missing:
 	dh_missing -Xusr/bin/ei-debug-events
+
+# debhelper >= 13.4 makes all of /usr/libexec executable, which is not
+# quite right for installed-tests
+execute_after_dh_fixperms:
+ifneq ($(filter %-tests,$(built_binaries)),)
+	chmod --changes a+r,a-x,u+w,og-w debian/*-tests/usr/libexec/libei/*.so
+endif

## libei 1.3.901

=== debian/changelog ===
libei (1.3.901-1) unstable; urgency=medium

  * New upstream release
  * Remove remaining patch: alternative fix applied in new release
  * debian/*.symbols: Add new symbols

 -- Jeremy Bícha <jbicha@ubuntu.com>  Tue, 04 Feb 2025 14:01:09 -0500

libei (1.3.0-3) unstable; urgency=medium

  * Remove no longer needed ppc64el workaround (LP: #2046357)

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 29 Jan 2025 07:28:01 -0500

libei (1.3.0-2) unstable; urgency=medium

  * Replace patch with dh_auto_test -- --no-suite

 -- Jeremy Bícha <jbicha@ubuntu.com>  Wed, 08 Jan 2025 17:22:23 -0900

libei (1.3.0-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix typo in the patch from 1.3.0-1.1 that broke the package.

 -- Niels Thykier <niels@thykier.net>  Mon, 06 Jan 2025 15:19:16 +0000

libei (1.3.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Rebecca N. Palmer ]
  * Work around infinite recursion in test using a minimal fix.
    (Closes: #1084287)

 -- Niels Thykier <niels@thykier.net>  Sat, 04 Jan 2025 13:56:48 +0000

=== debian/control ===
--- 
+++ 
@@ -22,6 +22,7 @@
 Homepage: https://gitlab.freedesktop.org/libinput/libei
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libei
+# Vcs-Browser: https://salsa.debian.org/jbicha/libei
 
 Package: libei1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -13,7 +13,8 @@
 	rm -f subprojects/munit
 
 override_dh_auto_test:
-	dh_auto_test -- --timeout-multiplier 2
+	dh_auto_test -- \
+		--timeout-multiplier 2
 
 override_dh_auto_configure:
 	ln -s ../munit subprojects/

=== debian/watch ===
version=4
opts="searchmode=plain" \
https://gitlab.freedesktop.org/libinput/libei/tags \
 -/archive/[\d.]+/@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
opts="component=munit,mode=git,compression=gz" \
 https://github.com/nemequ/munit.git HEAD same

## libei 1.5.0

=== meson_options.txt ===
--- 
+++ 
@@ -2,3 +2,5 @@
 option('sd-bus-provider', type: 'combo', choices: ['auto', 'libsystemd', 'libelogind', 'basu'], value: 'auto', description: 'Provider of the sd-bus library')
 option('tests', type: 'feature', value: 'auto', description: 'Enable/disable tests')
 option('liboeffis', type: 'feature', value: 'auto', description: 'Build liboeffis.so')
+option('libeis', type: 'feature', value: 'auto', description: 'Build libeis.so')
+option('libei', type: 'feature', value: 'auto', description: 'Build libei.so')

=== debian/changelog ===
libei (1.5.0-2) unstable; urgency=medium

  * debian/watch: convert to Version: 5

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 11 Sep 2025 22:01:33 -0400

libei (1.5.0-1) unstable; urgency=medium

  * New upstream release
  * debian/libeis1.symbols: Add new symbols
  * Remove obsolete Rules-Requires-Root: no
  * Bump Standards Version to 4.7.2

 -- Jeremy Bícha <jbicha@ubuntu.com>  Thu, 04 Sep 2025 18:15:50 -0400

=== debian/control ===
--- 
+++ 
@@ -17,20 +17,18 @@
  python3-pytest,
  python3-structlog,
  python3-yaml
-Standards-Version: 4.7.0
-Rules-Requires-Root: no
+Standards-Version: 4.7.2
 Homepage: https://gitlab.freedesktop.org/libinput/libei
 Vcs-Git: https://salsa.debian.org/xorg-team/lib/libei.git
 Vcs-Browser: https://salsa.debian.org/xorg-team/lib/libei
-# Vcs-Browser: https://salsa.debian.org/jbicha/libei
 
 Package: libei1
 Section: libs
 Architecture: any
 Multi-Arch: same
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
+ ${shlibs:Depends}
 Description: Emulated Input client library
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -45,8 +43,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
+ ${shlibs:Depends}
 Description: Emulated Input server library
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -61,8 +59,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
+ ${shlibs:Depends}
 Description: RemoteDesktop portal DBus helper library
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -77,8 +75,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
  libei1 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Emulated Input client library (development headers)
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -94,8 +92,8 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
  libeis1 (= ${binary:Version}),
+ ${misc:Depends}
 Description: Emulated Input server library (development headers)
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -111,9 +109,9 @@
 Architecture: any
 Multi-Arch: same
 Depends:
- ${misc:Depends},
  liboeffis1 (= ${binary:Version}),
  libsystemd-dev,
+ ${misc:Depends}
 Description: RemoteDesktop portal DBus helper library (development headers)
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:
@@ -127,8 +125,8 @@
 Package: libei-tests
 Architecture: any
 Depends:
- ${shlibs:Depends},
  ${misc:Depends},
+ ${shlibs:Depends}
 Description: Emulated Input client library - installed tests
  libei is a library for Emulated Input, primarily aimed at the Wayland
  stack. It provides three parts:

=== debian/tests/control ===
Tests: build-libei
Depends: build-essential, libei-dev, pkgconf

Tests: build-libeis
Depends: build-essential, libeis-dev, pkgconf

Tests: build-liboeffis
Depends: build-essential, liboeffis-dev, pkgconf

Tests: upstream-tests
Depends: @, valgrind-if-available

=== debian/watch ===
Version: 5

Template: GitLab
Dist: https://gitlab.freedesktop.org/libinput/libei

Component: munit
Source: https://github.com/nemequ/munit.git
Matching-Pattern: HEAD
Mode: git
Version-Constraint: same
